Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/tiers \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "tiers",
"tiers": [
{
"id": "promo_xyOKjAmysZrwt3aqq1dMUwMU",
"created_at": "2022-04-07T08:43:53.730Z",
"updated_at": "2022-08-26T05:22:43.220Z",
"name": "Amount",
"banner": "Get $10 off entire order",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 1000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 2,
"promotion_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"campaign": {
"id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b5f67863083bf7c05",
"object": "campaign"
},
"campaign_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 1
},
"orders": {
"total_amount": 2187,
"total_discount_amount": 1000
}
},
"object": "promotion_tier",
"validation_rule_assignments": null
},
{
"id": "promo_CQonGnrsFAdEJfJQ3oKB3a8G",
"created_at": "2022-04-07T08:43:53.581Z",
"updated_at": "2022-08-26T05:22:43.008Z",
"name": "Percentage",
"banner": "Get 10% OFF on entire order",
"action": {
"discount": {
"type": "PERCENT",
"percent_off": 10,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 1,
"promotion_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"campaign": {
"id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b5f67863083bf7c05",
"object": "campaign"
},
"campaign_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 1
},
"orders": {
"total_amount": 71600,
"total_discount_amount": 7160
}
},
"object": "promotion_tier",
"validation_rule_assignments": null
}
],
"total": 2,
"has_more": false
}This method enables you to list promotion tiers from a specified campaign.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/promotions/{campaignId}/tiers \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "tiers",
"tiers": [
{
"id": "promo_xyOKjAmysZrwt3aqq1dMUwMU",
"created_at": "2022-04-07T08:43:53.730Z",
"updated_at": "2022-08-26T05:22:43.220Z",
"name": "Amount",
"banner": "Get $10 off entire order",
"action": {
"discount": {
"type": "AMOUNT",
"amount_off": 1000,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 2,
"promotion_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"campaign": {
"id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b5f67863083bf7c05",
"object": "campaign"
},
"campaign_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 1
},
"orders": {
"total_amount": 2187,
"total_discount_amount": 1000
}
},
"object": "promotion_tier",
"validation_rule_assignments": null
},
{
"id": "promo_CQonGnrsFAdEJfJQ3oKB3a8G",
"created_at": "2022-04-07T08:43:53.581Z",
"updated_at": "2022-08-26T05:22:43.008Z",
"name": "Percentage",
"banner": "Get 10% OFF on entire order",
"action": {
"discount": {
"type": "PERCENT",
"percent_off": 10,
"effect": "APPLY_TO_ORDER"
}
},
"metadata": {},
"hierarchy": 1,
"promotion_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"campaign": {
"id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"start_date": null,
"expiration_date": null,
"active": true,
"category_id": "cat_0b5f67863083bf7c05",
"object": "campaign"
},
"campaign_id": "camp_SGq39XXJ47vm7Xys3D0NLgQ0",
"active": true,
"summary": {
"redemptions": {
"total_redeemed": 1
},
"orders": {
"total_amount": 71600,
"total_discount_amount": 7160
}
},
"object": "promotion_tier",
"validation_rule_assignments": null
}
],
"total": 2,
"has_more": false
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique campaign ID assigned by Voucherify.
"camp_rRsfatlwN7unSeUIJDCYedal"
Returns a dictionary with a tiers property that contains an array of promotion tiers.
Response body schema for GET v1/promotions/{campaignId}/tiers and GET v1/promotions/tiers.
The type of the object represented by JSON. This object stores information about promotion tiers in a dictionary.
Identifies the name of the attribute that contains the array of promotion tier objects.
Contains array of promotion tier objects.
Show child attributes
Total number of promotion tiers.
As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request to get more records returned in the results.
Was this page helpful?